Bug 151915 - [PATCH] games/openttd: [SUMMARIZE CHANGES]
Summary: [PATCH] games/openttd: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-03 13:50 UTC by Ilya A. Arhipov
Modified: 2010-11-24 06:24 UTC (History)
1 user (show)

See Also:


Attachments
openttd-1.0.4.patch (35 bytes, patch)
2010-11-03 13:50 UTC, Ilya A. Arhipov
no flags Details | Diff
openttd.patch (5.52 KB, patch)
2010-11-03 14:03 UTC, Ilya A. Arhipov
no flags Details | Diff
openttd.patch (6.06 KB, patch)
2010-11-04 19:52 UTC, Ilya A. Arhipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya A. Arhipov 2010-11-03 13:50:09 UTC
[DESCRIBE CHANGES]

Port maintainer (danfe@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99

Fix: I can be maintainer.
Comment 1 Edwin Groothuis freebsd_committer 2010-11-03 13:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ilya A. Arhipov 2010-11-03 14:03:26 UTC
oy, patch in attache
Comment 3 Max Brazhnikov freebsd_committer 2010-11-04 19:49:02 UTC
Hi Alexey,

Please note that openttd-data has been committed as separate ports: 
games/opengfx, opensfx and openmsx.

Greets,
Max
Comment 4 Ilya A. Arhipov 2010-11-04 19:52:29 UTC
Change openttd-data to opengfx, opensfx, openmsx.
http://www.freebsd.org/cgi/query-pr.cgi?pr=151916
Fix in attach

--
Best regard.
Ilya A. Arhipov
Comment 5 Doug Barton 2010-11-24 02:21:18 UTC
Regarding the rc.d script:

1. Please don't reference "ng" in the "rc" context. :)  It hasn't been 
"next generation" for years now. RCD would be a suitable name for the 
knob, or anything else not "ng" related.

2. New rc.d files should not have the .sh suffix. The file name should 
be openttd.in

Otherwise looks fine.


hth,

Doug

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 6 dfilter service freebsd_committer 2010-11-24 06:13:14 UTC
danfe       2010-11-24 06:13:07 UTC

  FreeBSD ports repository

  Modified files:
    games/openttd        Makefile distinfo pkg-plist 
  Added files:
    games/openttd/files  openttd.in 
  Log:
  - Long awaited update to version 1.0.5 [1]
  - Add rc.d script [2]
  - Fix compilation warnings and improve LOCALBASE safeness [3]
  - Add LICENSE (GPLv2)
  - Clean up Makefile, utilize PORTNAME where appropriate
  
  Security:       VuXML 373e412e-f748-11df-96cd-0015f2db7bde [1]
  Reviewed by:    dougb [2]
  PR:             ports/151090 [3], ports/151915 [1,2], ports/152529 [1,3]
  Submitted by:   Thomas Rasmussen, swell.k@gmail.com, Ilya Arhipov, kwm, wen
  
  Revision  Changes    Path
  1.32      +15 -7     ports/games/openttd/Makefile
  1.22      +2 -3      ports/games/openttd/distinfo
  1.1       +30 -0     ports/games/openttd/files/openttd.in (new)
  1.14      +1 -0      ports/games/openttd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Alexey Dokuchaev freebsd_committer 2010-11-24 06:23:44 UTC
State Changed
From-To: open->closed

Port updated, thanks!